import 'package:flutter/material.dart';
import '../presentation/screens/home/sc_homeScreen.dart';
import '../presentation/screens/login/sc_loginScreen.dart';
import '../presentation/screens/splash/sc_splash.dart';

class AppRouter {
  static const String HOME = '/';
  static const String SPLASH = '/splash';
  static const String LOGIN = '/login';

  static Route<dynamic> generateRoute(RouteSettings settings) {
    switch (settings.name) {
      case HOME:
        return MaterialPageRoute(builder: (_) => HomeScreen());
      case SPLASH:
        return MaterialPageRoute(builder: (_) => SplashScreen());
      case LOGIN:
        return MaterialPageRoute(builder: (_) => LoginScreen());
      /*case SHOW_INFO:
        var show = settings.arguments as Show;
        return MaterialPageRoute(
          builder: (_) => ShowInfoScreen(show: show),
        );*/

      default:
        return MaterialPageRoute(
          builder: (_) => Scaffold(
            body: Center(
              child: Text('No route defined for ${settings.name}'),
            ),
          ),
        );
    }
  }
}
