import '../../core/RemoteClient.dart';
import '../../core/responsesError.dart';
import '../models/LoginModel.dart';

class DataSourceLogin {
  Future<LoginModel?> remoteloginUser(dynamic params, dynamic body) async {
    RemoteClient api = RemoteClient();
    var response = await api.post('login', params, body);
    if (response != null) {
      if (response.statusCode == 200) {
        return LoginModel.fromJson(response.data);
      } else {
        if (response.statusCode == 401) {
          throw UnauthorizedException();
        } else if (response.statusCode == 404) {
          throw NotFoundException(message: "xxxx");
        } else {
          throw ServerException();
        }
      }
    }
    return null;
  }

  Future<LoginModel?> remoteSessionInfo(dynamic params) async {
    RemoteClient api = RemoteClient();
    var response = await api.get('sesion-ealu/info', params);
    if (response != null) {
      if (response.statusCode == 200) {
        return LoginModel.fromJson(response.data);
      } else {
        if (response.statusCode == 401) {
          throw UnauthorizedException();
        } else if (response.statusCode == 404) {
          throw NotFoundException(message: "xxxx");
        } else {
          throw ServerException();
        }
      }
    }
    return null;
  }
}
