import 'dart:convert';
import '../../domain/entities/login.dart';
import 'UserModel.dart';

LoginModel loginModelFromJson(String str) =>
    LoginModel.fromJson(json.decode(str));

String loginModelToJson(LoginModel data) => json.encode(data.toJson());

class LoginModel extends Login {
  bool logged;
  dynamic csrf;
  UserModel userModel;
  List<String> permissionList;
  dynamic msg;
  String appVersion;
  dynamic error;

  LoginModel({
    required this.logged,
    this.csrf,
    required this.userModel,
    required this.permissionList,
    this.msg,
    required this.appVersion,
    this.error,
  }) : super(
          logged: logged,
          csrf: csrf,
          user: userModel,
          permissionList: permissionList,
          msg: msg,
          appVersion: appVersion,
        );

  factory LoginModel.fromJson(Map<String, dynamic> json) => LoginModel(
        logged: json["logged"],
        csrf: json["csrf"],
        userModel: UserModel.fromJson(json["user"]),
        permissionList: List<String>.from(json["permissionList"].map((x) => x)),
        msg: json["msg"],
        appVersion: json["appVersion"],
        error: json["error"],
      );

  Map<String, dynamic> toJson() => {
        "logged": logged,
        "csrf": csrf,
        "user": userModel.toJson(),
        "permissionList": List<dynamic>.from(permissionList.map((x) => x)),
        "msg": msg,
        "appVersion": appVersion,
        "error": error,
      };
}
