import 'package:ealu_flutter/domain/entities/matricula.dart';

class MatriculaModel extends Matricula {
  dynamic codfacul;
  String codcarsec;
  String carrera;
  String codcarre;
  dynamic cedula;
  int anhoingreso;
  dynamic anhoegreso;
  bool verenealu;
  String tipomatric;
  String tiTipomatric;
  dynamic cantInscripciones;
  String arancelcero;
  int arancelceroAnhohasta;
  int arancelceroSemhasta;

  MatriculaModel({
    this.codfacul,
    required this.codcarsec,
    required this.carrera,
    required this.codcarre,
    this.cedula,
    required this.anhoingreso,
    this.anhoegreso,
    required this.verenealu,
    required this.tipomatric,
    required this.tiTipomatric,
    this.cantInscripciones,
    required this.arancelcero,
    required this.arancelceroAnhohasta,
    required this.arancelceroSemhasta,
  }):super;

  factory MatriculaModel.fromJson(Map<String, dynamic> json) => MatriculaModel(
        codfacul: json["codfacul"],
        codcarsec: json["codcarsec"],
        carrera: json["carrera"],
        codcarre: json["codcarre"],
        cedula: json["cedula"],
        anhoingreso: json["anhoingreso"],
        anhoegreso: json["anhoegreso"],
        verenealu: json["verenealu"],
        tipomatric: json["tipomatric"],
        tiTipomatric: json["ti_tipomatric"],
        cantInscripciones: json["cantInscripciones"],
        arancelcero: json["arancelcero"],
        arancelceroAnhohasta: json["arancelcero_anhohasta"],
        arancelceroSemhasta: json["arancelcero_semhasta"],
      );

  Map<String, dynamic> toJson() => {
        "codfacul": codfacul,
        "codcarsec": codcarsec,
        "carrera": carrera,
        "codcarre": codcarre,
        "cedula": cedula,
        "anhoingreso": anhoingreso,
        "anhoegreso": anhoegreso,
        "verenealu": verenealu,
        "tipomatric": tipomatric,
        "ti_tipomatric": tiTipomatric,
        "cantInscripciones": cantInscripciones,
        "arancelcero": arancelcero,
        "arancelcero_anhohasta": arancelceroAnhohasta,
        "arancelcero_semhasta": arancelceroSemhasta,
      };
}
