import '../../domain/entities/matricula.dart';
import '../../domain/entities/sesionInfo.dart';
import 'AlumnoModel.dart';
import 'MatriculaModel.dart';

SessionInfoModel sessionInfoModelFromJson(String str) =>
    SessionInfoModel.fromJson(json.decode(str));

String sessionInfModelToJson(SessionInfoModel data) =>
    json.encode(data.toJson());

class SessionInfoModel extends SessionInfo {
  List<Matricula> matriculaListModel;
  AlumnoModel alumnoModel;

  SessionInfoModel({
    required this.matriculaListModel,
    required this.alumnoModel,
  }) : super(alumno: alumnoModel, matriculaList: matriculaListModel);

  factory SessionInfoModel.fromJson(Map<String, dynamic> json) =>
      SessionInfoModel(
        matriculaListModel: List<Matricula>.from(
            json["matriculaList"].map((x) => MatriculaModel.fromJson(x))),
        alumnoModel: AlumnoModel.fromJson(json["alumno"]),
      );

  Map<String, dynamic> toJson() => {
        "matriculaListModel":
            List<dynamic>.from(matriculaList.map((x) => x.toJson())),
        "alumno": alumno.toJson(),
      };
}
