import '../../domain/entities/user.dart';

class UserModel extends User {
  int id;
  String username;
  String name;
  String surname;
  dynamic image;
  String nameAndSurname;

  UserModel({
    required this.id,
    required this.username,
    required this.name,
    required this.surname,
    this.image,
    required this.nameAndSurname,
  }) : super(
          id: id,
          username: username,
          name: name,
          surname: surname,
          nameAndSurname: nameAndSurname,
        );

  factory UserModel.fromJson(Map<String, dynamic> json) => UserModel(
        id: json["id"],
        username: json["username"],
        name: json["name"],
        surname: json["surname"],
        image: json["image"],
        nameAndSurname: json["nameAndSurname"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "username": username,
        "name": name,
        "surname": surname,
        "image": image,
        "nameAndSurname": nameAndSurname,
      };
}
