import 'package:bloc/bloc.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'authentication_event.dart';
import 'authentication_state.dart';

class AuthenticationBloc
    extends Bloc<AuthenticationEvent, AuthenticationState> {
  AuthenticationBloc() : super(Uninitialized()) {
    on<AppStarted>((event, emit) async {
      //verificar si ya inicio sesion
      try {
        final prefs = await SharedPreferences.getInstance();
        final String? institucion = prefs.getString("institucion");
        final String? email = prefs.getString("email");
        final String? password = prefs.getString("password");
        emit(Unauthenticated());
      } catch (e) {
        print(e);
        emit(Unauthenticated());
      }
    });

    on<LoggedIn>((event, emit) async {
      emit(Authenticated(""));
    });

    on<LoggedOut>((event, emit) async {
      emit(Unauthenticated());
    });
  }
}
