import 'package:flutter/material.dart';
import '../../widgets/toast.dart';

Widget buildDialogPage(BuildContext context) {
  TextEditingController _emailController = TextEditingController();

  _handleRecuperarPass(BuildContext context, email) async {
    var _apiResponse = {};
    print(_apiResponse);
    if (_apiResponse == null) {
      showToastError("Ha ocurrido algun problema");
    } else {
      if (_apiResponse['success'] == false) {
        showToastError(_apiResponse["errorMessage"]);
      } else {
        showToastError(_apiResponse["successMessage"]);
      }
    }
  }

  return AlertDialog(
    contentPadding: const EdgeInsets.all(10),
    backgroundColor: Theme.of(context).scaffoldBackgroundColor,
    shape: const RoundedRectangleBorder(
      borderRadius: BorderRadius.all(Radius.circular(20.0)),
    ),
    title: Container(
      alignment: Alignment.center,
      child: const Text(
        'Recupera tu contraseña',
        style: TextStyle(
            color: Color(0xFF151E47),
            fontSize: 20,
            fontWeight: FontWeight.bold),
      ),
    ),
    actions: <Widget>[
      Container(
        alignment: Alignment.center,
        child: ElevatedButton(
          child: const Text(
            "Recuperar Contraseña",
            style: TextStyle(
              color: Colors.white,
              fontSize: 18.0,
            ),
          ),
          onPressed: () {
            _handleRecuperarPass(context, _emailController.text);
          },
        ),
      ),
    ],
    content: Container(
      padding: const EdgeInsets.all(10),
      child: Container(
        padding: const EdgeInsets.all(10),
        child: TextField(
          controller: _emailController,
          decoration: const InputDecoration(
            labelText: 'Email',
            prefixIcon: Icon(
              Icons.access_time_outlined,
            ),
          ),
        ),
      ),
    ),
  );
}
