import 'package:flutter/material.dart';
import '../../core/customStyles.dart';

Widget textInput(BuildContext context, dynamic titulo, dynamic cuerpo,
    bool negrita, bool dense) {
  FontWeight isNegrita = negrita ? FontWeight.bold : FontWeight.normal;
  return TextField(
    readOnly: true,
    style: TextStyle(
      fontSize: 13,
      fontWeight: isNegrita,
    ),
    keyboardType: TextInputType.multiline,
    controller: TextEditingController(
      text: cuerpo.toString(),
    ),
    //decoration: inputDecorationStyle(titulo.toString(), dense),
    maxLines: null,
  );
}

Widget customLoadingBuilder(BuildContext context, String? texto) {
  return Container(
    alignment: Alignment.center,
    child: CircularProgressIndicator(
      strokeWidth: 2,
      valueColor: AlwaysStoppedAnimation<Color>(
        Theme.of(context).primaryColor,
      ),
    ),
  );
}

Widget customTitle(String texto) {
  return Container(
    padding: const EdgeInsets.all(8),
    child: Text(
      texto,
      textAlign: TextAlign.center,
      style: const TextStyle(
        color: Color(0xFF1D2B4E),
        fontWeight: FontWeight.bold,
        fontSize: 18,
      ),
    ),
  );
}

Widget customEmptyBuilder(BuildContext context, String? search) {
  return Container(
    alignment: Alignment.center,
    child: const Text(
      'No se encuentraron datos',
      textAlign: TextAlign.center,
      style: TextStyle(
        color: Colors.black,
        fontWeight: FontWeight.bold,
        fontSize: 20,
      ),
    ),
  );
}

Widget customErrorBuilder(BuildContext context, String? search, dynamic error) {
  return Container(
    alignment: Alignment.center,
    child: const Text(
      'No se pudo recuperar los datos',
      textAlign: TextAlign.center,
      style: TextStyle(
        color: Colors.red,
        fontWeight: FontWeight.bold,
        fontSize: 20,
      ),
    ),
  );
}

Widget commonText(BuildContext context, String text) {
  return Container(
    alignment: Alignment.centerLeft,
    padding: const EdgeInsets.only(bottom: 5, top: 12),
    child: Text(
      text,
      textAlign: TextAlign.start,
      style: TextStyle(
        fontSize: 14,
        color: Theme.of(context).colorScheme.secondary,
        fontWeight: FontWeight.bold,
      ),
    ),
  );
}
