import 'dart:async';
import 'package:flutter/material.dart';
import 'package:flutter_easyloading/flutter_easyloading.dart';

Timer _timer = Timer(const Duration(milliseconds: 0), () {});
void configLoading() {
  EasyLoading.instance
    ..displayDuration = const Duration(milliseconds: 15000)
    ..indicatorType = EasyLoadingIndicatorType.fadingCircle
    ..loadingStyle = EasyLoadingStyle.dark
    ..indicatorSize = 35.0
    ..radius = 10.0
    ..progressColor = Colors.yellow
    ..backgroundColor = Colors.green
    ..indicatorColor = Colors.yellow
    ..textColor = Colors.yellow
    ..maskColor = Colors.blue.withOpacity(0.5)
    ..userInteractions = true
    ..dismissOnTap = false;
  //..customAnimation = CustomAnimation();
}

showPresent(String? message) async {
  _timer.cancel();
  if (message == '') {
    await EasyLoading.show(
      maskType: EasyLoadingMaskType.black,
    );
  } else {
    await EasyLoading.show(
      status: message,
      maskType: EasyLoadingMaskType.black,
    );
  }
  //print('EasyLoading show');
}

dismissPresent() async {
  _timer.cancel();
  await EasyLoading.dismiss();
  //print('EasyLoading dismiss');
}
