import 'package:flutter/material.dart';

Widget optionsGradient(BuildContext context, String text, ancho) {
  return Padding(
    padding: const EdgeInsets.only(top: 3.0, bottom: 3),
    child: Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        Container(
          decoration: const BoxDecoration(
            gradient: LinearGradient(
              colors: [
                Colors.white10,
                Colors.grey,
              ],
              begin: FractionalOffset(0.0, 0.0),
              end: FractionalOffset(1.0, 1.0),
              stops: [0.0, 1.0],
              tileMode: TileMode.clamp,
            ),
          ),
          width: MediaQuery.of(context).size.width * ancho,
          height: 1.0,
        ),
        Expanded(
          child: Padding(
            padding: const EdgeInsets.only(left: 5.0, right: 5.0),
            child: Text(
              text.toString(),
              textAlign: TextAlign.center,
              style: const TextStyle(
                color: Colors.grey,
                decoration: TextDecoration.none,
                fontSize: 16.0,
              ),
            ),
          ),
        ),
        Container(
          alignment: Alignment.center,
          width: MediaQuery.of(context).size.width * ancho,
          height: 1.0,
          decoration: const BoxDecoration(
            gradient: LinearGradient(
              colors: [
                Colors.grey,
                Colors.white10,
              ],
              begin: FractionalOffset(0.0, 0.0),
              end: FractionalOffset(1.0, 1.0),
              stops: [0.0, 1.0],
              tileMode: TileMode.clamp,
            ),
          ),
        ),
      ],
    ),
  );
}
